BchainPayBchainPay

List pockets


title: "List pockets" description: "GET /v1/pockets — every Network/Coin balance held in your custodial vault." section: "API reference" order: 21 updated: "2026-04-18" sourcePath: "content/docs/api/pockets/list.mdx"

GET/v1/pockets

Returns every pocket on your account. Pockets are created lazily the first time you accept a payment for a given (Network, Coin) pair.

Query parameters

FieldTypeRequiredDescription
networkstringoptionalFilter by network: ethereum, polygon, solana, tron, bnb.
coinstringoptionalFilter by coin symbol, e.g. USDC, USDT, ETH.

Example

curl https://api.bchainpay.com/v1/pockets \
  -H "Authorization: Bearer $BCHAINPAY_API_KEY"

Response — 200 OK

{
  "object": "list",
  "data": [
    { "id": "pkt_usdc_polygon",  "network": "polygon",  "coin": "USDC", "balance_cents": 124900, "pending_cents": 0, "updated_at": "2026-04-18T10:11:02Z" },
    { "id": "pkt_eth_ethereum",  "network": "ethereum", "coin": "ETH",  "balance_cents":   3200, "pending_cents": 0, "updated_at": "2026-04-17T22:04:55Z" },
    { "id": "pkt_usdt_tron",     "network": "tron",     "coin": "USDT", "balance_cents": 800000, "pending_cents": 0, "updated_at": "2026-04-18T09:30:11Z" }
  ]
}
Last updated Edit on GitHub